org.apache.jmeter.report.processor

## Class Top5ErrorsBySamplerConsumer

- java.lang.Object
- - org.apache.jmeter.report.processor.AbstractSampleProcessor
  - - org.apache.jmeter.report.processor.AbstractSampleConsumer
    - - org.apache.jmeter.report.processor.AbstractSummaryConsumer<Top5ErrorsSummaryData>
      - - org.apache.jmeter.report.processor.Top5ErrorsBySamplerConsumer

- All Implemented Interfaces:
    SampleConsumer, SampleProcessor, SampleProducer

      public class Top5ErrorsBySamplerConsumer
      extends AbstractSummaryConsumer<Top5ErrorsSummaryData>

  The class Top5ErrorsBySamplerConsumer provides a consumer that calculates the TOP5 of errors by sampler.
  Since:
    3.1

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.jmeter.report.processor.AbstractSummaryConsumer

      `AbstractSummaryConsumer.SummaryInfo`

  - ### Field Summary

    - ### Fields inherited from class org.apache.jmeter.report.processor.AbstractSummaryConsumer

      `RESULT_VALUE_DATA, RESULT_VALUE_IS_CONTROLLER, RESULT_VALUE_ITEMS, RESULT_VALUE_OVERALL, RESULT_VALUE_SUPPORTS_CONTROLLERS_DISCRIMINATION, RESULT_VALUE_TITLES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Top5ErrorsBySamplerConsumer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ListResultData` | `createDataResult(java.lang.String key, Top5ErrorsSummaryData data)` Creates a result item for information identified by the specified key.
    `protected ListResultData` | `createResultTitles()` Creates the result containing titles of columns.
    `protected java.lang.String` | `getKeyFromSample(Sample sample)` Gets the identifier key from sample.
    `void` | `setIgnoreTransactionController(boolean ignoreTCFromTop5ErrorsBySampler)`
    `protected void` | `updateData(AbstractSummaryConsumer.SummaryInfo info, Sample sample)` Update the stored data with the data from the specified sample.

    - ### Methods inherited from class org.apache.jmeter.report.processor.AbstractSummaryConsumer

      `consume, getOverallInfo, getSummaryInfos, hasOverallResult, setHasOverallResult, startConsuming, stopConsuming, suppportsControllersDiscrimination`

    - ### Methods inherited from class org.apache.jmeter.report.processor.AbstractSampleConsumer

      `addSampleConsumer, getConsumedChannelCount, getConsumedMetadata, getConsumer, getDataFromContext, getName, getWorkingDirectory, produce, removeSampleConsumer, setChannelAttribute, setConsumedMetadata, setDataToContext, setName, setProducedMetadata, setSampleConsumer, setSampleConsumers, setSampleContext, startProducing, stopProducing`

    - ### Methods inherited from class org.apache.jmeter.report.processor.AbstractSampleProcessor

      `getChannelAttribute, getSampleContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.jmeter.report.processor.SampleProcessor

      `getChannelAttribute, getSampleContext`

- - ### Constructor Detail

    - #### Top5ErrorsBySamplerConsumer

          public Top5ErrorsBySamplerConsumer()

  - ### Method Detail

    - #### updateData

          protected void updateData(AbstractSummaryConsumer.SummaryInfo info,
                                    Sample sample)

      Description copied from class: `AbstractSummaryConsumer`
      Update the stored data with the data from the specified sample.
      Specified by:
        `updateData` in class `AbstractSummaryConsumer<Top5ErrorsSummaryData>`
      Parameters:
        `info` - SummaryInfo
        `sample` - the sample

    - #### createDataResult

          protected ListResultData createDataResult(java.lang.String key,
                                                    Top5ErrorsSummaryData data)

      Description copied from class: `AbstractSummaryConsumer`
      Creates a result item for information identified by the specified key.
      Specified by:
        `createDataResult` in class `AbstractSummaryConsumer<Top5ErrorsSummaryData>`
      Parameters:
        `key` - the key
        `data` - the data
      Returns:
        the list result data

    - #### getKeyFromSample

          protected java.lang.String getKeyFromSample(Sample sample)

      Description copied from class: `AbstractSummaryConsumer`
      Gets the identifier key from sample.
      This key is use identify the SummaryInfo linked with the sample
      Specified by:
        `getKeyFromSample` in class `AbstractSummaryConsumer<Top5ErrorsSummaryData>`
      Parameters:
        `sample` - the sample
      Returns:
        the key identifying the sample

    - #### createResultTitles

          protected ListResultData createResultTitles()

      Description copied from class: `AbstractSummaryConsumer`
      Creates the result containing titles of columns.
      Specified by:
        `createResultTitles` in class `AbstractSummaryConsumer<Top5ErrorsSummaryData>`
      Returns:
        the list of titles

    - #### setIgnoreTransactionController

          public void setIgnoreTransactionController(boolean ignoreTCFromTop5ErrorsBySampler)

      Parameters:
        `ignoreTCFromTop5ErrorsBySampler` - ignore transaction controller sampler results when computing top 5

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.